Surface Extension de surface

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Surface ExtendFace and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano
Arrow-left.svg Page précédente : Surface Sections.svg Sections
Page suivante : Courbe sur maillage Surface CurveOnMesh.svg Arrow-right.svg

Surface ExtendFace.svg Surface Extension de surface

Emplacement du menu
Surface → Extend face
Ateliers
Surface
Raccourci par défaut
Aucun
Introduit dans la version
0.17
Voir aussi
Aucun


Description

Surface ExtendFace.svg Surface ExtendFace extrapole une face ou une surface existante à ses limites avec ses paramètres U et V locaux.

Surface ExtendFace base example.png Surface ExtendFace example.png

À gauche: surface d'origine. À droite: surface étendu.


Utilisation

  1. Assurez-vous que vous avez un objet qui a des faces. L'objet peut être créé avec l'Workbench Surface.svg atelier Surface mais il peut également s'agir de tout autre objet, par exemple, créé avec [[File:Workbench_Part.svg|24px] ] Part ou Workbench PartDesign.svg PartDesign.
  2. Sélectionnez la face à étendre en cliquant dessus dans la Vue 3D.
  3. Appuyez sur Surface ExtendFace.svg Extend face.

Options

Cette commande n'a pas d'options. Soit cela fonctionne avec la sélection, soit non.

Propriétés

Surface ExtendFace (classe Surface::Extend) est dérivée de la classe de base Part Feature (classe Part::Feature via la sous-classe Part::Spline). Elles partagent donc toutes les propriétés de cette dernière.

Outre les propriétés décrites dans Part Feature, Surface Remplissage a les propriétés suivantes dans l'éditeur de propriétés.

Données

Base

  • DonnéesFace (LinkSub): le sous-élément d'un objet qui sera étendu; ce doit être une face.
  • DonnéesTolerance (FloatConstraint): la valeur par défaut est 0.1.
  • DonnéesExtend UNeg (FloatConstraint): la valeur par défaut est 0.05. Le rapport du paramètre U local qui sera étendu dans le sens négatif.
  • DonnéesExtend UPos (FloatConstraint): la valeur par défaut est 0.05. Le rapport du paramètre U local qui sera étendu dans le sens positif.
  • DonnéesExtend USymetric (Bool): il vaut par défaut true, auquel cas DonnéesExtend UNeg et DonnéesExtend UPos auront la même valeur.
  • DonnéesExtend VNeg (FloatConstraint): la valeur par défaut est 0.05. Le rapport du V local qui sera étendu dans la direction négative.
  • DonnéesExtend VPos (FloatConstraint): il vaut par défaut 0.05. Le rapport de la direction V locale qui sera étendue dans la direction positive.
  • DonnéesExtend VSymetric (Bool): il est par défaut true, auquel cas DonnéesExtend VNeg et DonnéesExtend VPos auront la même valeur.
  • DonnéesSampleU (IntegerConstraint): par défaut 32.
  • DonnéesSampleV (IntegerConstraint): par défaut 32.

Vue

Base

  • VueControl Points (Bool): la valeur par défaut est false. Mis à true, elle affichera une superposition avec les points de contrôle de la surface.

Script

Voir aussi: FreeCAD Script de base.

L'outil Surface Extend peut être utilisé dans des macros et depuis la console Python en ajoutant l'objet Surface::Extend.

  • La face à étendre doit être affectée en tant que LinkSub à la propriété Face de l'objet. Il ne doit contenir qu'une seule surface.
import FreeCAD as App
import Draft

doc = App.newDocument()

a = App.Vector(-20, -20, 0)
b = App.Vector(-18, 25, 0)
c = App.Vector(60, 26, 0)
d = App.Vector(33, -20, 0)

points = [a, App.Vector(-20, -8, 0), b, c,
          App.Vector(37, 4, 0), d,
          App.Vector(-2, -18, 0), a]
obj = Draft.make_bspline(points)
doc.recompute()

if App.GuiUp:
    obj.ViewObject.Visibility = False

surf = doc.addObject("Surface::Filling", "Surface")
surf.BoundaryEdges = [(obj, "Edge1")]
doc.recompute()

# ---------------------------------------------------------
points_spl = [App.Vector(-10, 0, 2),
              App.Vector(4, 0, 7),
              App.Vector(18, 0, -5),
              App.Vector(25, 0, 0),
              App.Vector(30, 0, 0)]
aux_edge = Draft.make_bspline(points_spl)
doc.recompute()

surf.UnboundEdges = [(aux_edge, "Edge1")]
doc.recompute()

# ---------------------------------------------------------
surf_extended = doc.addObject("Surface::Extend", "Surface")
surf_extended.Face = [surf, "Face1"]
doc.recompute()
Arrow-left.svg Page précédente : Surface Sections.svg Sections
Page suivante : Courbe sur maillage Surface CurveOnMesh.svg Arrow-right.svg